accounts_oid_signup_prefill_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"applicant": {
"email": "customer@example.com",
"agreement": {
"name": "<string>",
"version": "<string>",
"personal_guarantee_accepted": true,
"attachments": [
{
"name": "Cookie Policy",
"version": "<string>"
}
]
},
"first_name": "John",
"last_name": "Doe",
"phone_number": "+4799999999",
"recaptcha_sitekey": "6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-",
"recaptcha_response": "03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w",
"promo_code": "<string>",
"signup_reference": "<string>",
"utm": {
"utm_source": "google",
"utm_medium": "cpc",
"utm_campaign": "spring_sale",
"utm_term": "running+shoes",
"utm_content": "textlink"
}
},
"company": {
"business_name": "TKP tech AS",
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
},
"display_name": "TKP tech instore AS",
"organization_number": "123456789MVA",
"industry": "computer industry",
"website": "<string>",
"terms_url": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"email": "contact@business.dintero.com",
"technical_email": "tech_support@business.dintero.com",
"phone_number": "<string>",
"branding": {
"icon_url": "<string>",
"logo_url": "<string>"
},
"merchant_category_code": "<string>",
"average_transaction_value": "<string>",
"most_expensive_product_price": "<string>",
"projected_sales": "<string>",
"terms": [
{
"href": "<string>"
}
],
"contacts": [
{
"phone_number": "<string>",
"email": "jsmith@example.com",
"website": "<string>"
}
],
"public_business_name": "TKP tech"
},
"billing": {
"business_name": "TKP tech AS",
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
},
"organization_number": "123456789MVA",
"email": "billing@business.dintero.com",
"reference": "<string>",
"phone_number": "<string>",
"billing_statement": {
"name": "John Doe",
"phone_number": "+4745454545"
}
},
"prefill_id": "<string>",
"account_manager": {
"email": "employee@dintero.com"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}account-onboarding-prefill
Get pending pre-filled sign up for a new Dintero Account
Get a prefilled a sign up form for a new Dintero Account by id, not yet accepted by the applicant.
scopes:
- create:account
GET
https://api.dintero.com/v1
/
accounts
/
{oid}
/
signup
/
prefill
/
{prefill_id}
accounts_oid_signup_prefill_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{oid}/signup/prefill/{prefill_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"applicant": {
"email": "customer@example.com",
"agreement": {
"name": "<string>",
"version": "<string>",
"personal_guarantee_accepted": true,
"attachments": [
{
"name": "Cookie Policy",
"version": "<string>"
}
]
},
"first_name": "John",
"last_name": "Doe",
"phone_number": "+4799999999",
"recaptcha_sitekey": "6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-",
"recaptcha_response": "03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w",
"promo_code": "<string>",
"signup_reference": "<string>",
"utm": {
"utm_source": "google",
"utm_medium": "cpc",
"utm_campaign": "spring_sale",
"utm_term": "running+shoes",
"utm_content": "textlink"
}
},
"company": {
"business_name": "TKP tech AS",
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
},
"display_name": "TKP tech instore AS",
"organization_number": "123456789MVA",
"industry": "computer industry",
"website": "<string>",
"terms_url": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"email": "contact@business.dintero.com",
"technical_email": "tech_support@business.dintero.com",
"phone_number": "<string>",
"branding": {
"icon_url": "<string>",
"logo_url": "<string>"
},
"merchant_category_code": "<string>",
"average_transaction_value": "<string>",
"most_expensive_product_price": "<string>",
"projected_sales": "<string>",
"terms": [
{
"href": "<string>"
}
],
"contacts": [
{
"phone_number": "<string>",
"email": "jsmith@example.com",
"website": "<string>"
}
],
"public_business_name": "TKP tech"
},
"billing": {
"business_name": "TKP tech AS",
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
},
"organization_number": "123456789MVA",
"email": "billing@business.dintero.com",
"reference": "<string>",
"phone_number": "<string>",
"billing_statement": {
"name": "John Doe",
"phone_number": "+4745454545"
}
},
"prefill_id": "<string>",
"account_manager": {
"email": "employee@dintero.com"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account or owner (partner)
Response
Account Signup
Show child attributes
Show child attributes
The details of an account company
Show child attributes
Show child attributes
The details of the billing for the account
Show child attributes
Show child attributes
Auto-generated id
Account manager responsible for the account.
value is not visible for the merchant
Show child attributes
Show child attributes
Last modified on July 22, 2026
Pre-fill a sign up for a new Dintero Account
Previous
Accept pre-filled sign up for a new Dintero Account
Next
⌘I